API ReferenceParticipant contacts
Retrieve all participant points of contact
GET
Retrieve all points of contact for given participant.
Roles
admindts-provider
Analytics Events
ECOSYSTEM_PARTICIPANT_CONTACT_RETRIEVE_LIST_STARTECOSYSTEM_PARTICIPANT_CONTACT_RETRIEVE_LIST_SUCCESSECOSYSTEM_PARTICIPANT_CONTACT_RETRIEVE_LIST_FAIL
bearerAuthheader
AuthorizationBearer <token>participantId*stringThe UUID of the participant
Format
uuidecosystemId*stringThe UUID of the ecosystem
Format
uuidlimit?numberRange size of returned list.
Range
1 <= value <= 1000Default
100cursor?stringStarting point for the list of entries.
Participant points of contact retrieved
application/json- response
data?array<>nextCursor?nextCursorStarting point for next cursor to use in a paginated list.
curl -X GET 'https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/participants/a24e391a-c27f-4b6e-9805-1ee7e03f3c58/contacts'{ "data": [ { "id": "920f2489-d953-42f2-b2dd-f37c29b818cf", "fullName": "John Doe", "active": true, "emailAddress": "john.doe@example.com", "primaryPhoneNumber": "+1234567890", "secondaryPhoneNumber": "+0987654321", "createdBy": { "clientId": "f7b9ecfc-8431-470e-a1de-94b68dd92f68", "managementUserId": "ab16dc65-b58e-4be2-ba77-a6f35021cb2b" }, "createdAt": "2025-07-01T00:00:00.000Z", "lastModifiedBy": { "clientId": "f7b9ecfc-8431-470e-a1de-94b68dd92f68", "managementUserId": "ab16dc65-b58e-4be2-ba77-a6f35021cb2b" }, "lastModifiedAt": "2025-07-01T00:00:00.000Z" } ], "nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM"}How would you rate this page?